- more versioned Obsoletes auto/th/xorg-driver-video-nvidia-465.27-2
authorJakub Bogusz <qboosh@pld-linux.org>
Thu, 13 May 2021 19:53:22 +0000 (21:53 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Thu, 13 May 2021 19:53:22 +0000 (21:53 +0200)
xorg-driver-video-nvidia.spec

index 14baf17c55919d4779b3a2db5053ab25d44b3d9d..8e4790b0a4eec127961ae8dff4465955e231628f 100644 (file)
@@ -55,8 +55,8 @@ Provides:     ocl-icd-driver
 Provides:      vulkan(icd) = 1.2.155
 Provides:      xorg-driver-video
 Provides:      xorg-xserver-module(glx)
-Obsoletes:     XFree86-driver-nvidia
-Obsoletes:     XFree86-nvidia
+Obsoletes:     XFree86-driver-nvidia < 1.0.5336-4
+Obsoletes:     XFree86-nvidia < 1.0
 Conflicts:     XFree86-OpenGL-devel <= 4.2.0-3
 ExclusiveArch: %{?with_userspace:%{ix86}} %{x8664}
 BuildRoot:     %{tmpdir}/%{pname}-%{version}-root-%(id -u -n)
@@ -137,9 +137,9 @@ Group:              X11/Development/Libraries
 Requires:      %{pname}-libs = %{epoch}:%{version}-%{rel}
 Provides:      OpenGL-GLX-devel = 1.4
 Provides:      OpenGL-devel = 2.1
-Obsoletes:     X11-OpenGL-devel-base
-Obsoletes:     XFree86-OpenGL-devel-base
-Obsoletes:     XFree86-driver-nvidia-devel
+Obsoletes:     X11-OpenGL-devel-base < 1:7.0.0
+Obsoletes:     XFree86-OpenGL-devel-base < 1:7.0.0
+Obsoletes:     XFree86-driver-nvidia-devel < 1.0.5336-4
 Conflicts:     XFree86-OpenGL-devel < 4.3.99.902-0.3
 
 %description devel
@@ -174,7 +174,7 @@ Summary(pl.UTF-8):  Narzędzia do zarządzania kartami graficznymi nVidia
 Group:         Applications/System
 Requires:      %{pname} = %{epoch}:%{version}
 Suggests:      pkgconfig
-Obsoletes:     XFree86-driver-nvidia-progs
+Obsoletes:     XFree86-driver-nvidia-progs < 1.0.5336-4
 
 %description progs
 Tools for advanced control of nVidia graphic cards.
@@ -202,7 +202,7 @@ Requires:   %{releq_kernel -n drm}\
 Requires(postun):      %releq_kernel\
 Requires:      %{pname} = %{epoch}:%{version}\
 Provides:      X11-driver-nvidia(kernel)\
-Obsoletes:     XFree86-nvidia-kernel\
+Obsoletes:     XFree86-nvidia-kernel < 1.0.5336-4\
 \
 %description -n kernel%{_alt_kernel}-video-nvidia\
 nVidia Architecture support for Linux kernel.\
This page took 0.130751 seconds and 4 git commands to generate.